﻿using Steema.TeeChart.Maui;
using Steema.TeeChart.Styles;

namespace MauiTest
{
    public partial class MainPage : ContentPage
    {
        int count = 0;
        
        private readonly Line _line;

        public MainPage()
        {
            InitializeComponent();

            // Añade el gráfico al contenido de la página
            Content = new StackLayout
            {
                Children = { _tChart }
            };

            _line = new Line(_tChart.Chart);
            _tChart.Chart.Series.Add(_line);
        }

        protected override void OnAppearing() { _line.FillSampleValues(); }

        private void OnCounterClicked(object sender, EventArgs e)
        {
            count++;

            if (count == 1)
                CounterBtn.Text = $"Clicked {count} time";
            else
                CounterBtn.Text = $"Clicked {count} times";

            SemanticScreenReader.Announce(CounterBtn.Text);
        }
    }

}
